<div class="modal-header text-wrap">
    <h5 class="modal-title"><a routerLink="/public-procurement/all-list"><i class="bi bi-chevron-left"></i></a>
        {{'state.personalCard' | translate}} № {{id}}
    </h5>
    <hr>
</div>

<div class="d-flex justify-content-between col-8 my-3">
    <button class="btn btn-outline-dark" [class.active]="switchCase ==='personality'" (click)="switchCase = 'personality'">{{'state.clientData' | translate}}</button>
    <button class="btn btn-outline-dark" [class.active]="switchCase === 'conclusion'" (click)="switchCase = 'conclusion'">{{'state.agreement' | translate}}</button>
    <button class="btn btn-outline-dark" [class.active]="switchCase === 'history'" (click)="switchCase = 'history'">{{'state.history' | translate}}</button>
</div>
<div class="row">
    <div class="col-9" [ngSwitch]="switchCase"> 
        <app-pro-agreement *ngSwitchCase="'conclusion'"></app-pro-agreement>
        <app-pro-history *ngSwitchCase="'history'"></app-pro-history>
        <app-pro-data *ngSwitchDefault></app-pro-data>
    </div>
    <div class="col-3 row border-start">
        <div class="d-flex flex-column">
            <div>
                <div class="d-flex lh-lg" *ngFor="let step of progress; let last = last">
                    <span class="fs-5 d-block progressbar"><i [class.text-primary]="last" class="bi bi-stop-circle-fill me-2 d-block icon"></i><span class="indicator" [class.d-none]="last"></span></span>
                    <span class="pb-1 small">{{step?.name}}</span>
                </div>
                
            </div>
        </div>
        <div  *ngIf="permission?.CreateConclusion" class="mt-auto ms-auto">
            <a class="fs-2" (click)="openConclusion(conclusion)"><i class="bi bi-plus-circle-dotted"></i></a>
        </div>
    </div>
</div>

<ng-template let-model #conclusion>
    <div class="card">
        <div class="card-header">
          <span class="fs-4">{{'state.attachConclusion' | translate}}</span>
          <button class="btn-close float-end my-auto" (click)="close()"></button>
        </div>
        <div class="card-body">
            <form [formGroup]="form">
                <div class="d-flex">
                    <div class="form-check me-3">
                        <input type="radio" class="form-check-input" value="1" name="status" formControlName="status">
                        <label class="form-check-label">{{'state.approve' | translate}}</label>
                    </div>
                    <div class="form-check me-3">
                        <input type="radio" class="form-check-input" value="3" name="status" formControlName="status">
                        <label class="form-check-label">{{'state.cancel' | translate}}</label>
                    </div>
                </div>
                <div class="form-floating mt-3">
                    <textarea class="form-control" id="commet"  cols="30" rows="10" formControlName="comment"></textarea>
                    <label for="commet">{{'state.yourComment' | translate}}</label>
                  </div>
                                  <div class="my-2">
                    <label>{{'state.attachFile'| translate}}</label>
                    <input type="file" class="form-control" (change)="fileChange($event)" multiple>
                </div>
                <div class="mt-5">
                    <button class="btn btn-dark" (click)="submit()" [disabled]="!form.valid">{{'state.send' | translate}}</button>
                </div>
            </form>
        </div>
        </div>
</ng-template>
